## pdfjsCommand

pdfjsCommand is interface implemented by pdfjsControl and PdfJsGroupControl
It is allow to control the pdf loaded.
Use this interface from pdfjsControl or pdfjsGroupCOntrol for manipulate pdf.
You can do menu with buttons for call methods.

## Pdf methods

this.getPageNumber(): number
Return number of pages in pdf
Return
number | The number of page

this.rotate(angle: number): void
Rotate all pages managed by implementation
Argument | Default value | Description
--- | --- | ---
angle: number |  | The angle in degree to rotate

this.reload(): PDFPromise<number>
Reload the pdf managed by the implementation
Return
PDFPromise<number> | Promise of number of pages loaded

## Select methods

this.previousIsSelectable(): boolean
Return if there is a previous item of current selected
Return
boolean | Exist an item before the current selected

this.nextIsSelectable(): boolean
Return if there is a next item of current selected
Return
boolean | Exist an item after the current selected

this.selectFirst(): number
Select the first item.
Return
number | The previous item number selected or NaN

this.selectPrevious(): number
Select the previous item.
Return
number | The previous item number selected or NaN

this.selectNext(): number
Select the next item.
Return
number | The previous item number selected or NaN

this.selectLast(): number
Select the last item.
Return
number | The previous item number selected or NaN

this.selectItemIndex(index: number): number
Select the item index
Argument | Default value | Description
--- | --- | ---
index: number |  | The index 0 based
Return
number | The previous item number selected or NaN

this.unselect(): number
Unset the selection.
Return
number | The previous item number selected or NaN

## Selected methods

this.rotateSelected(angle: number): void
Rotate the selected page in pdf managed by implementation
Argument | Default value | Description
--- | --- | ---
angle: number |  | The angle in degree to rotate

this.getSelectedPageIndex(): number
Return the selected page number in implementation, page number is 1 based.
Return
number | The number of page

this.getSelectedItemIndex(): number
Return the selected item number in implementation, item number is 0 based.
Return
number | The number of page